Target version:    

Resolution:    

Description

It would be useful to be able to configure per issue type (tracker) an own use case how it is used, therefore speical fields, must have

fields, fields visbility for role and status and tracker, what is nealy all possible since redmine 2.0.

Only thing is that we for exampel want a more flexible way to restrict usage of specail trackers, e.g we wanna have a met structure

for tracker andc ticket organization below

Related issues:

Related to Redmine - Feature #3726: Trackers per Role Closed 2009-08-10

History

#1 - 2012-12-19 12:59 - Terence Mill

!! Please add this to description and change topic to "issue relation access managment per tracker and role"

An example for this stucture looks like follwing.

> use case 1

  > feature 1

   > subtask 1

  > subtask 2

  > feature 2

   > subtask a

     > subtask a1

   > subtask b

  > feature 3

> use case 2

...

..

 Where use cases have a classified relation (n:n) with features and vice versa. Use cases and deature itself can have subtasks, and subtaks itself. For

ressource and project planning the use cases shalle be only createable as the feature and the shall by specila roles. This is possible by worflow

already. What still is not possible to restrict is that only special roles are able to create or chnage issue relations where subtask is also a relation line

follower, duplicate, blcoked by copied by and so on.

We are missing right based on tracker and role whoc is allowed to create,remove or see this relation per relation type.

The mattix would look as folliwng per tracker:

role copied dupe blocked subtask ..

developer dropdown: hide,

read,write

dropdown: hide,

read,write

dropdown: hide,

read,write

dropdown: hide,

read,write

..

tester dropdown: hide,

read,write

dropdown: hide,

read,write

dropdown: hide,

read,write

dropdown: hide,

read,write

..

manager dropdown: hide,

read,write

dropdown: hide,

read,write

dropdown: hide,

read,write

dropdown: hide,

read,write

..

.. .. .. .. .. ..

#2 - 2012-12-19 16:23 - Daniel Felix

- Subject changed from allow disallow subtask per tracker to issue relation access managment per tracker and role

#3 - 2013-01-16 10:23 - Daniel Felix

- Category set to Issues permissions
Maybe this could be also introduced with #12005.

Your table looks like it could be introduced with some improvements to #12005.
